getSearch audit log entries

Required capabilityaudit.read

Queries the immutable audit trail. occurred_from_utc and occurred_to_utc are required. All other filters are optional.

Request

Request URL

GET
GET /user-action-audit-entries/search

Responses

Response

application/json
{
  "items": [
    {
      "action_family": "tenant_governance",
      "approval_state": "not_required",
      "attribution": {
        "actor": null,
        "approved_by": null,
        "authenticated_principal": {
          "kind": "user",
          "ref": "users/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b"
        },
        "identity_source": "platform-managed",
        "initiated_by": null,
        "subject": {
          "kind": "user",
          "ref": "users/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b"
        }
      },
      "changed_fields": null,
      "correlation_id": null,
      "detail": null,
      "event_id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
      "event_type": "tenant.enterprise.admitted.v1",
      "human_actor_id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
      "id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
      "occurred_at_utc": "2026-05-01T10:00:00Z",
      "reason_code": null,
      "reason_text": null,
      "recorded_at_utc": "2026-05-01T10:00:00Z",
      "request_id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
      "resource_ref": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
      "resource_type": "enterprise",
      "result_status": "succeeded",
      "scope": {
        "client_account_ref": null,
        "client_ref": null,
        "enterprise_ref": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
        "master_account_ref": null,
        "platform_operator_ref": null
      },
      "service_account_id": null,
      "source_service": "edge-service",
      "trace_id": null
    }
  ],
  "limit": 100,
  "offset": 0,
  "total": 1
}

Operation succeeded.